<?php

	$com = false;
	//$com = true;
	$distinct = true;

	error_reporting(0);

	function compress($buffer) {

	  /* remove comments */
	  $buffer = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $buffer);
	  /* remove tabs, spaces, newlines, etc. */
	  $buffer = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $buffer);
	  return $buffer;
	}


	$files = array(
		"font.opensans.css",
		"fonts/glyphicons/font.css",
		"font.icomoon.css",
		"icons.css",

		"bootstrap.css",
		"bootstrap.datetimepicker.css",
		"reset.css",
		"content.css",

		"forms.css",
		"forms.captcha.css",
		"forms.uniform.css",
		"forms.uniform.custom.css",

		"buttons.css",
		"general.css",
		"text.css",
		"notes.css",
		"login.css",
	);





	foreach ($files as $key => $val) {

		if ($com) {
			$content .=  "\n" . Compress(file_get_contents( $val));
		} else {

			if ($distinct) {
				$content .= "@import url('{$val}'); \n";
			} else {
				$content .=  "\n" . (file_get_contents( $val));	
			}
			


		}
		

		
	}

	header("Content-type: text/css");
	header("Cache-Control: max-age=2692000, public");

    header("Content-Length: ".strlen($content)); 
	echo $content;
	die();
	

?>